﻿//---------------------
// YureManager.cs
//---------------------

using UnityEngine;
using System.Collections;
using System.Collections.Generic;

namespace Yuremono {
    public class YureManager : MonoBehaviour {
        List<YureBone> springBones = new List<YureBone>();
        List<YureCollider> colliders = new List<YureCollider>();

        public List<YureCollider> GetColliders()
        {
            return colliders;
        }

        private void Awake()
        {
            SettingSpringSub(gameObject.transform);
        }

        private void LateUpdate()
        {
            for (int i = 0; i < springBones.Count;i++ )
            {
                springBones[i].UpdateSpring();
            }    
        }
        private void SettingSpringSub(Transform trm)
        {
            YureBone[] yba = trm.GetComponents<YureBone>();
            for (int i = 0; i < yba.Length; i++)
            {
                springBones.Add(yba[i]);
            }
            YureCollider[] ca = trm.GetComponents<YureCollider>();
            for (int i = 0; i < ca.Length; i++)
            {
                colliders.Add(ca[i]);
            }

            for (int i = 0;i < trm.childCount; i++)
            {
                SettingSpringSub(trm.GetChild(i));
            }
        }
    }
}